unit PrgConst;
interface

const PrgName='8051 Emulator';
      Version='0.65 alpha';
      Ich='Alexander Herzog';

      StandardSection='Allgemein'; {Standard-Sektion der INi-Datei}

      {Adressen der bitadressierbaren Register}
      BitReg : Array[0..31] of Byte = (
        $20,$21,$22,$23,$24,$25,$26,$27,$28,$29,$2A,$2B,$2C,$2D,$2E,$2F,$80,$88,$90,$98,$A0,$A8,$B0,$B8,$C0,$C8,$D0,$D8,$E0,$E8,$F0,$F8
      );
      BitCode : Array[0..31] of Byte = (
        $00,$08,$10,$18,$20,$28,$30,$38,$40,$48,$50,$58,$60,$68,$70,$78,$80,$88,$90,$98,$A0,$A8,$B0,$B8,$C0,$C8,$D0,$D8,$E0,$E8,$F0,$F8
      );

      {Adressen der Special Function Register}
      RegA      = $E0;
      RegB      = $F0;
      RegPSW    = $D0;
      RegSP     = $81;
      RegSYSCON = $B1;

      RegDPL    = $82;
      RegDPH    = $83;
      RegDPSEL  = $92;

      RegP0     = $80;
      RegP1     = $90;
      RegP2     = $A0;
      RegP3     = $B0;
      RegP4     = $E8;
      RegP5     = $F8;
      RegP1Ana  = $90;
      RegP3Ana  = $B0;

      RegIEN0   = $A8;
      RegIEN1   = $A9;
      RegIP0    = $B8;
      RegIP1    = $B9;
      RegITCON  = $9A;

      RegPCON   = $87;
      RegPCON1  = $88;

      RegSBUF   = $99;
      RegSCON   = $98;

      RegTCON   = $88;
      RegTMOD   = $89;
      RegTL0    = $8A;
      RegTH0    = $8C;
      RegTL1    = $8B;
      RegTH1    = $8D;

      RegT2CON  = $C8;
      RegT2MOD  = $C9;

      RegCT1CON = $E1;
      RegCCPL   = $DE;
      RegCCPH   = $DF;
      RegCCL0   = $C2;
      RegCCH0   = $C3;
      RegCCL1   = $C4;
      RegCCH1   = $C5;
      RegCCL2   = $C6;
      RegCCH2   = $C7;
      RegCT1OFL = $E6;
      RegCT1OFH = $E7;
      RegCMSEL0 = $E3;
      RegCMSEL1 = $E4;

      RegTRCON  = $CF;
      RegBCON   = $D7;
      RegCT2CON = $C1;
      RegCCIR   = $E5;

      RegADCON0 = $D8;
      RegADCON1 = $DC;
      RegADDATH = $D9;
      RegADDATL = $DA;

implementation

end.
