unit MainUnit;

interface

{
Neu/Doc:

Todo:
- Prgs (4.2, 4.8, 5.x, 6.x)

Nicht untersttzt:
- Fail Save System
- Timer 2
- Externer Interrupt 2
}

uses
  Windows, Messages, SysUtils, Classes, Graphics, Controls, Forms, Dialogs,
  StdCtrls, Menus, ImgList, ComCtrls, ToolWin, AppEvnts, ExtCtrls, Rechner,
  PrgSetup;

type
  TMainForm = class(TForm)
    MainMenu: TMainMenu;
    Datei1: TMenuItem;
    Hilfe1: TMenuItem;
    Info1: TMenuItem;
    ToolBar1: TToolBar;
    ToolButton1: TToolButton;
    ToolButton2: TToolButton;
    ImageList: TImageList;
    Neu: TMenuItem;
    Load: TMenuItem;
    Save: TMenuItem;
    SaveAs: TMenuItem;
    N1: TMenuItem;
    Drucken1: TMenuItem;
    Druckereinrichtung1: TMenuItem;
    N2: TMenuItem;
    Ende1: TMenuItem;
    Ausfhren1: TMenuItem;
    Start: TMenuItem;
    Einzelschritt: TMenuItem;
    Rechner: TMenuItem;
    PrinterSetupDialog: TPrinterSetupDialog;
    Stop1: TMenuItem;
    ToolButton3: TToolButton;
    ToolButton4: TToolButton;
    ToolButton5: TToolButton;
    ToolButton6: TToolButton;
    ToolButton7: TToolButton;
    OpenDialog: TOpenDialog;
    SaveDialog: TSaveDialog;
    StatusBar: TStatusBar;
    Optionen1: TMenuItem;
    Konfiguration: TMenuItem;
    ApplicationEvents1: TApplicationEvents;
    Uebersetzen: TMenuItem;
    Fenster1: TMenuItem;
    Ausgabe: TMenuItem;
    ALU: TMenuItem;
    RAM: TMenuItem;
    ToolButton11: TToolButton;
    WindowStyle: TComboBox;
    Fensterpositionenspeichern1: TMenuItem;
    ToolButton12: TToolButton;
    ToolButton13: TToolButton;
    OnlineHilfe: TMenuItem;
    N4: TMenuItem;
    Dateidisassemblieren1: TMenuItem;
    N3: TMenuItem;
    ExtRAM: TMenuItem;
    Timer: TTimer;
    Extras1: TMenuItem;
    ClearAll: TMenuItem;
    N5: TMenuItem;
    Haltepunkte1: TMenuItem;
    ToolBar2: TToolBar;
    ToolButton8: TToolButton;
    ToolButton9: TToolButton;
    ToolButton10: TToolButton;
    ToolButton14: TToolButton;
    ToolButton15: TToolButton;
    ToolButton16: TToolButton;
    ToolButton17: TToolButton;
    ToolButton18: TToolButton;
    ImageList1: TImageList;
    LED: TMenuItem;
    InterruptRequestauslsen1: TMenuItem;
    ExternalInterrupt01: TMenuItem;
    TimerInterrupt01: TMenuItem;
    ExternalInterrupt11: TMenuItem;
    TimerInterrupt11: TMenuItem;
    SerialPortInterrupt1: TMenuItem;
    Timer21: TMenuItem;
    LEDPopup: TPopupMenu;
    Alleein1: TMenuItem;
    Alleaus1: TMenuItem;
    Alleinvertieren1: TMenuItem;
    ADConverter1: TMenuItem;
    External21: TMenuItem;
    Capcomemergency1: TMenuItem;
    CompareTimer21: TMenuItem;
    Capcommatch1: TMenuItem;
    CompareTimer11: TMenuItem;
    ToolButton20: TToolButton;
    ToolButton21: TToolButton;
    ToolButton22: TToolButton;
    ToolButton23: TToolButton;
    ToolButton19: TToolButton;
    einfgen1: TMenuItem;
    XRAMeinschalten1: TMenuItem;
    XRAMausschalten1: TMenuItem;
    N7: TMenuItem;
    RMAPeinschalten1: TMenuItem;
    RMAPausschalten1: TMenuItem;
    N8: TMenuItem;
    AlleInterruptsaktiveren1: TMenuItem;
    SerielleSchnittstelle1: TMenuItem;
    Analogwerteeinstellen1: TMenuItem;
    Positioniersystem1: TMenuItem;
    procedure FormCreate(Sender: TObject);
    procedure DateiWork(Sender: TObject);
    procedure FormCloseQuery(Sender: TObject; var CanClose: Boolean);
    procedure Info1Click(Sender: TObject);
    procedure MemoChange(Sender: TObject);
    procedure MemoKeyPress(Sender: TObject; var Key: Char);
    procedure MemoMouseDown(Sender: TObject; Button: TMouseButton;
      Shift: TShiftState; X, Y: Integer);
    procedure MemoSelectionChange(Sender: TObject);
    procedure StartWork(Sender: TObject);
    procedure FormDestroy(Sender: TObject);
    procedure ApplicationEvents1Idle(Sender: TObject; var Done: Boolean);
    procedure WindowWork(Sender: TObject);
    procedure ControlBar1UnDock(Sender: TObject; Client: TControl;
      NewTarget: TWinControl; var Allow: Boolean);
    procedure KonfigurationClick(Sender: TObject);
    procedure WindowStyleChange(Sender: TObject);
    procedure Fensterpositionenspeichern1Click(Sender: TObject);
    procedure FormShow(Sender: TObject);
    procedure OnlineHilfeClick(Sender: TObject);
    procedure TimerTimer(Sender: TObject);
    procedure ClearAllClick(Sender: TObject);
    procedure Haltepunkte1Click(Sender: TObject);
    procedure LEDClick(Sender: TObject);
    procedure IRQRequest(Sender: TObject);
    procedure LEDButtonClick(Sender: TObject);
    procedure ToolBar2ContextPopup(Sender: TObject; MousePos: TPoint;
      var Handled: Boolean);
    procedure LEDContext(Sender: TObject);
    procedure Port3ButtonClick(Sender: TObject);
    procedure InsertBaustein(Sender: TObject);
    procedure Analogwerteeinstellen1Click(Sender: TObject);
  private
    { Private-Deklarationen }
    Datei : String;
    NoChanges, Changed : Boolean;
    SaveSchema : String;
    Function FileSaveTest : Boolean;
    Function DoSave(SaveAs : Boolean) : Boolean;
    Procedure UpdateStatusBar;
    Procedure DoneDebug;
    Procedure HighlightLine(Nr : Integer);
    Procedure SetupUpdate;
    Procedure SetWindowSetup(Nr : Integer);
    Procedure SeriellOutput(Sender : TObject; Value : Byte);
  public
    { Public-Deklarationen }
    System8051, Background : TSystem8051;
    SetupData : TSetupData;
    Breakpoints : TList;
    Memo : TRichEdit;
    Function PrgStep(Update : Boolean = True; NoDlg : Boolean = False) : Boolean;
    Procedure ReadData(Weiter : Boolean = True);
    Function InitDebug(Run : Boolean = True) : Boolean;
    Procedure SetLEDs;
  end;

var
  MainForm: TMainForm;

implementation

uses ShellAPI, Tools, PrgConst, OutputDlg, CPUDlg, RAMDlg, Setup, RunDlg,
     WndDlg, CalcDlg, DisDlg, InfoDlg, ExtDlg, BreakDlg, ClearDlg, ClipBrd,
  Seriell, AnalogDlg, MotorDlg;

{$R *.DFM}

procedure TMainForm.FormCreate(Sender: TObject);
begin
  Memo:=TRichEdit.Create(self);
  Breakpoints:=TList.Create;
  with Memo do begin
    Parent:=self;
    Align:=alClient;
    Font.Name:='Courier New';
    Font.Size:=8;
    PlainText:=True;
    ScrollBars:=ssBoth;
    WordWrap:=False;
    OnChange:=MemoChange;
    OnKeyPress:=MemoKeyPress;
    OnMouseDown:=MemoMouseDown;
    OnSelectionChange:=MemoSelectionChange;
  end;
  System8051:=TSystem8051.Create;
  System8051.ALU.OnSeriellOutput:=SeriellOutput;
  Background:=TSystem8051.Create;
  SetupData:=TSetupData.Create(ChangeFileExt(ExpandFileName(Application.ExeName),'.INI'));
  Memo.HandleNeeded; Changed:=False;
  UpdateStatusBar;
  DateiWork(Neu);
end;

procedure TMainForm.DateiWork(Sender: TObject);
begin
  Case (Sender as TMenuItem).Tag of
    0 : If FileSaveTest then begin
          Memo.Clear; Datei:=''; Caption:=PrgName+' [unbenannt]';
          Memo.Lines.Add('.org 0x100');
          Memo.Lines.Add('');
          Memo.Lines.Add('  ljmp 0x918E');
          Memo.Lines.Add('.end');
          Changed:=False;
        end;
    1 : If FileSaveTest and OpenDialog.Execute then begin
          Datei:=OpenDialog.FileName; Memo.Lines.LoadFromFile(Datei);
          Caption:=PrgName+' ['+Datei+']'; Changed:=False;
        end;
    2 : DoSave(False);
    3 : DoSave(True);
    4 : begin
          DisAsmDlg:=TDisAsmDlg.Create(self);
          try DisAsmDlg.ShowModal; finally DisAsmDlg.Free; end;
        end;
    5 : Memo.Print('');
    6 : PrinterSetupDialog.Execute;
    7 : Close;
  end;
  UpdateStatusBar;
end;

Function TMainForm.FileSaveTest : Boolean;
begin
  If not Changed then result:=True else Case MessageDlg('Soll die genderte Datei jetzt gespeichert werden ?',mtConfirmation,[mbYes,mbNo,mbCancel],0) of
    mrYes : result:=DoSave(False);
    mrNo : result:=True;
    else result:=False;
  end;
end;

Function TMainForm.DoSave(SaveAs : Boolean) : Boolean;
begin
  result:=True;
  If (Datei='') or SaveAs then begin
    If SaveDialog.Execute then begin
      Datei:=SaveDialog.FileName; Memo.Lines.SaveToFile(Datei);
      Caption:=PrgName+' ['+Datei+']'; Changed:=False;
    end else result:=False;
  end else begin Memo.Lines.SaveToFile(Datei); Changed:=False; end;
end;

procedure TMainForm.FormCloseQuery(Sender: TObject; var CanClose: Boolean);
begin
  CanClose:=FileSaveTest;
end;

procedure TMainForm.Info1Click(Sender: TObject);
begin
  InfoDialog:=TInfoDialog.Create(self);
  try InfoDialog.ShowModal; finally InfoDialog.Free; end;
end;

procedure TMainForm.MemoChange(Sender: TObject);
begin
  If not NoChanges then begin
    If Timer.Enabled then Timer.Enabled:=False;
    Timer.Enabled:=True; 
    Changed:=True;
    UpdateStatusBar;
  end;
end;

procedure TMainForm.MemoKeyPress(Sender: TObject; var Key: Char);
begin
  If not NoChanges then UpdateStatusBar;
end;

procedure TMainForm.MemoMouseDown(Sender: TObject; Button: TMouseButton;
  Shift: TShiftState; X, Y: Integer);
begin
  If not NoChanges then UpdateStatusBar;
end;

Procedure TMainForm.UpdateStatusBar;
Var X,Y,Z : Integer;
begin
  X:=Memo.SelStart+Memo.SelLength; Y:=1;
  For Z:=0 to Memo.Lines.Count-1 do If X-1>=length(Memo.Lines[Z]) then begin
    inc(Y); dec(X,length(Memo.Lines[Z])+2);
  end else break;
  StatusBar.Panels[0].Text:=Format('%d : %d',[Y,X+1]);
  If Changed then StatusBar.Panels[1].Text:='*' else StatusBar.Panels[1].Text:='';
  Save.Enabled:=Changed and Load.Enabled;
end;

procedure TMainForm.MemoSelectionChange(Sender: TObject);
begin
  If not NoChanges then UpdateStatusBar;
end;

procedure TMainForm.StartWork(Sender: TObject);
begin
  Case (Sender as TMenuItem).Tag of
    0 : If InitDebug then begin
          If RunPrg then ReadData(True) else DoneDebug;
        end;
    1 : If Memo.ReadOnly then begin
          If not PrgStep then DoneDebug;
        end else begin
          InitDebug;
        end;
    2 : InitDebug(False);
    3 : DoneDebug;
  end;
end;

procedure TMainForm.FormDestroy(Sender: TObject);
begin
  Breakpoints.Free;
  System8051.Free;
  Background.Free;
  SetupData.Free;
end;

Function TMainForm.InitDebug(Run : Boolean) : Boolean;
begin
  If Memo.ReadOnly then begin InitDebug:=True; exit; end;

  InitDebug:=False;
  If not System8051.LoadCode(Memo.Lines,SetupData.MemoryProtection,MainForm.SetupData.AutoInterruptHandling) then begin
    MessageDlg('"'+System8051.ErrorCode+'" in Zeile '+IntToStr(System8051.ErrorLine),mtError,[mbOK],0);
    exit;
  end;

  If not Run then begin
    If not Assigned(OutputForm) then OutputForm:=TOutputForm.Create(self);
    OutputForm.ReadData;
    OutputForm.Show;
    ReadData(False);
    exit;
  end;

  SaveSchema:=WindowStyle.Text;
  WindowStyle.ItemIndex:=WindowStyle.Items.IndexOf(SetupData.DebugSet);
  WindowStyle.OnChange(self);
  If Assigned(CPUForm) then CPUForm.ReadData;
  If Assigned(RAMForm) then RAMForm.ReadData;
  If Assigned(OutputForm) then OutputForm.ReadData;
  If Assigned(ExtRAMForm) then ExtRAMForm.ReadData;

  Memo.ReadOnly:=True;
  Neu.Enabled:=False;
  Load.Enabled:=False;
  Save.Enabled:=False;
  SaveAs.Enabled:=False;
  ClearAll.Enabled:=False;
  Stop1.Enabled:=True;
  InterruptRequestauslsen1.Enabled:=True;
  Uebersetzen.Enabled:=False;

  If Assigned(MotorForm) then MotorForm.Reset;

  InitDebug:=True;

  ReadData(True);
end;

Procedure TMainForm.DoneDebug;
begin
  Memo.ReadOnly:=False;
  Neu.Enabled:=True;
  Load.Enabled:=True;
  Save.Enabled:=True;
  SaveAs.Enabled:=True;
  ClearAll.Enabled:=True;
  Stop1.Enabled:=False;
  InterruptRequestauslsen1.Enabled:=False;
  Uebersetzen.Enabled:=True;
  HighlightLine(-2);
  WindowStyle.ItemIndex:=WindowStyle.Items.IndexOf(SaveSchema);
  WindowStyle.OnChange(self);
  ReadData(False)
end;

procedure TMainForm.ApplicationEvents1Idle(Sender: TObject; var Done: Boolean);
Var X : Integer;
begin
  For X:=0 to ToolBar1.ButtonCount-1 do If ToolBar1.Buttons[X].MenuItem<>nil then
    ToolBar1.Buttons[X].Enabled:=ToolBar1.Buttons[X].MenuItem.Enabled;
  Ausgabe.Checked:=Assigned(OutputForm);
  ALU.Checked:=Assigned(CPUForm);
  RAM.Checked:=Assigned(RAMForm);
  Rechner.Checked:=Assigned(RechnerForm);
  ExtRAM.Checked:=Assigned(ExtRAMForm);
end;

procedure TMainForm.WindowWork(Sender: TObject);
Var B : Boolean;
begin
  B:=(Sender as TMenuItem).Checked;
  Case (Sender as TMenuItem).Tag of
    0 : If B then OutputForm.Close else begin
          If not Assigned(OutputForm) then OutputForm:=TOutputForm.Create(self);
          OutputForm.Show;
        end;
    1 : If B then CPUForm.Close else begin
          If not Assigned(CPUForm) then CPUForm:=TCPUForm.Create(self);
          CPUForm.Show;
        end;
    2 : If B then RAMForm.Close else begin
          If not Assigned(RAMForm) then RAMForm:=TRAMForm.Create(self);
          RAMForm.Show;
        end;
    3 : If B then ExtRAMForm.Close else begin
          If not Assigned(ExtRAMForm) then ExtRAMForm:=TExtRAMForm.Create(self);
          ExtRAMForm.Show;
        end;
    4 : If B then RechnerForm.Close else begin
          If not Assigned(RechnerForm) then RechnerForm:=TRechnerForm.Create(self);
          RechnerForm.Show;
        end;
    5 : If B then SeriellForm.Close else begin
          If not Assigned(SeriellForm) then SeriellForm:=TSeriellForm.Create(self);
          SeriellForm.Show;
        end;
    6 : If B then MotorForm.Close else begin
          If not Assigned(MotorForm) then MotorForm:=TMotorForm.Create(self);
          MotorForm.Show;
        end;
  end;
end;

function TMainForm.PrgStep(Update : Boolean; NoDlg : Boolean): Boolean;
begin
  result:=True;
  try
    If not System8051.ALU.Step then begin
      If not NoDlg then MessageDlg('Programm beendet.',mtConfirmation,[mbOK],0);
      result:=False;
    end;
  except
    on E : ESystemError do begin
      If not NoDlg then MessageDlg(E.Message,mtError,[mbOK],0);
      result:=False;
    end;
  end;

  System8051.ALU.SFR[RegP1]:=MotorWork(System8051.ALU.SFR[RegP1]);

  If Update then ReadData(result);
end;

Procedure TMainForm.ReadData(Weiter : Boolean);
Var X : Integer;
begin
  If Assigned(CPUForm) then CPUForm.ReadData;
  If Assigned(RAMForm) then RAMForm.ReadData;
  If Assigned(ExtRAMForm) then ExtRAMForm.ReadData;
  If Weiter then begin
    For X:=0 to System8051.Programm.CommandCount-1 do begin
      If System8051.Programm.Command[X].Addr=System8051.ALU.Reg.PC then begin
        HighlightLine(System8051.Programm.Command[X].Zeile); break;
      end;
    end;
  end else HighlightLine(-1);
  SetLEDs;
end;

Procedure TMainForm.HighlightLine(Nr : Integer);
Var X,Y,Z,A : Integer;
    St : TStrings;
    S : String;
    I : Integer;
begin
  If (not SetupData.HighlightSyntax) and (Nr=-1) then exit;

  NoChanges:=True;
  St:=TStringlist.Create; St.Assign(Memo.Lines);
  A:=0; X:=Memo.SelStart; Y:=Memo.SelLength;
  SendMessage(Memo.Handle,WM_SETREDRAW,0,0);

  For Z:=0 to Memo.Lines.Count-1 do begin
    S:=St[Z]; I:=length(S);
    If Z=Nr-1 then begin
      Memo.SelStart:=A; Memo.Sellength:=I;
      Memo.SelAttributes.Color:=clRed; X:=A; Y:=0;
    end else begin
      If not SetupData.HighlightSyntax then begin
        If Nr<>-1 then begin
          Memo.SelStart:=A; Memo.Sellength:=I;
          Memo.SelAttributes.Color:=clBlack;
        end;
      end else begin
        Memo.SelStart:=A; Memo.Sellength:=I;
        Memo.SelAttributes.Color:=clBlack;
        If Pos(';',S)<>0 then begin
          Memo.SelStart:=A+Pos(';',S)-1;
          Memo.Sellength:=I-Pos(';',S)+1;
          Memo.SelAttributes.Color:=clGreen;
          If (Pos('$',S)<>0) and (Pos('$',S)<Pos(';',S)) then begin
            Memo.SelStart:=A+Pos('$',S)-1;
            Memo.Sellength:=Pos(';',S)-Pos('$',S);
            Memo.SelAttributes.Color:=clBlue;
          end;
        end else begin
          If Pos('$',S)<>0 then begin
            Memo.SelStart:=A+Pos('$',S)-1;
            Memo.Sellength:=I-Pos('$',S)+1;
            Memo.SelAttributes.Color:=clBlue;
          end;
        end;
      end;
    end;
    inc(A,I+2);
  end;
  Memo.SelStart:=X; Memo.SelLength:=Y;
  St.Free;
  SendMessage(Memo.Handle,WM_SETREDRAW,$FFFF,0);

  UpdateStatusBar;
  Memo.Repaint;
  NoChanges:=False;
end;

procedure TMainForm.ControlBar1UnDock(Sender: TObject; Client: TControl;
  NewTarget: TWinControl; var Allow: Boolean);
begin
  Allow:=True;
end;

procedure TMainForm.KonfigurationClick(Sender: TObject);
begin
  SetupDlg:=TSetupDlg.Create(self);
  try
    If SetupDlg.ShowModal=mrOK then SetupUpdate;
  finally
    SetupDlg.Free;
  end;
end;

Procedure TMainForm.SetupUpdate;
Var X,Y : Integer;
begin
  NoChanges:=True;
  X:=Memo.SelStart; Y:=Memo.SelLength;
  Memo.SelectAll;
  Memo.SelAttributes.Size:=SetupData.FontSize;
  Memo.SelStart:=X; Memo.SelLength:=Y;
  Memo.Font.Size:=SetupData.FontSize;
  If Assigned(OutputForm) then OutputForm.SetupUpdate;
  WindowStyle.Clear;
  For X:=0 to SetupData.WindowSetupCount-1 do
    WindowStyle.Items.Add(SetupData.WindowSetup[X].Name);
  NoChanges:=False;
  Memo.Invalidate;
  StrictAllTimeTab(SetupData.StrictTable);
  System8051.ALU.SingleMemory1:=SetupData.SingleMemory1;
  System8051.ALU.SingleMemory2:=SetupData.SingleMemory2;
  HighlightLine(-2);
  System8051.ALU.SeriellStep:=SetupData.SeriellStep;
end;

procedure TMainForm.SetWindowSetup(Nr: Integer);
Var W : TWindowSetup;
begin
  W:=SetupData.WindowSetup[Nr];
  BoundsRect:=W.MainWnd;
  If W.Output then begin
    If not Assigned(OutputForm) then OutputForm:=TOutputForm.Create(self);
    OutputForm.BoundsRect:=W.OutputWnd; OutputForm.Show;
  end else begin
    If Assigned(OutputForm) then OutputForm.Close;
  end;
  If W.CPU then begin
    If not Assigned(CPUForm) then CPUForm:=TCPUForm.Create(self);
    CPUForm.BoundsRect:=W.CPUWnd; CPUForm.Show;
  end else begin
    If Assigned(CPUForm) then CPUForm.Close;
  end;
  If W.RAM then begin
    If not Assigned(RAMForm) then RAMForm:=TRAMForm.Create(self);
    RAMForm.BoundsRect:=W.RAMWnd; RAMForm.Show;
  end else begin
    If Assigned(RAMForm) then RAMForm.Close;
  end;
  If W.Calc then begin
    If not Assigned(RechnerForm) then RechnerForm:=TRechnerForm.Create(self);
    RechnerForm.BoundsRect:=W.CalcWnd; RechnerForm.Show;
    RechnerForm.ClientHeight:=RechnerForm.PageControl.Height+2;
    RechnerForm.ClientWidth:=RechnerForm.PageControl.Width+2;
  end else begin
    If Assigned(RechnerForm) then RechnerForm.Close;
  end;
  If W.ExtRAM then begin
    If not Assigned(ExtRAMForm) then ExtRAMForm:=TExtRAMForm.Create(self);
    ExtRAMForm.BoundsRect:=W.ExtRAMWnd; ExtRAMForm.Show;
  end else begin
    If Assigned(ExtRAMForm) then ExtRAMForm.Close;
  end;
  If W.Seriell then begin
    If not Assigned(SeriellForm) then SeriellForm:=TSeriellForm.Create(self);
    SeriellForm.BoundsRect:=W.SeriellWnd; SeriellForm.Show;
  end else begin
    If Assigned(SeriellForm) then SeriellForm.Close;
  end;
  If W.Motor then begin
    If not Assigned(MotorForm) then MotorForm:=TMotorForm.Create(self);
    MotorForm.BoundsRect:=W.MotorWnd; MotorForm.Show;
  end else begin
    If Assigned(MotorForm) then MotorForm.Close;
  end;

end;

procedure TMainForm.WindowStyleChange(Sender: TObject);
begin
  If WindowStyle.ItemIndex>=0 then SetWindowSetup(WindowStyle.ItemIndex);
end;

procedure TMainForm.Fensterpositionenspeichern1Click(Sender: TObject);
begin
  WindowForm:=TWindowForm.Create(self);
  try
    WindowForm.ShowModal;
  finally
    WindowForm.Free;
  end;
  SetupUpdate;
end;

procedure TMainForm.FormShow(Sender: TObject);
begin
  SetupUpdate;
  WindowStyle.ItemIndex:=0;
  SetWindowSetup(0);
  HighlightLine(-1);
  Changed:=False;
end;

procedure TMainForm.OnlineHilfeClick(Sender: TObject);
begin
  ShellExecute(Handle,'open',PChar(ChangeFileExt(ExpandFileName(Application.ExeName),'.CHM')),nil,nil,SW_SHOW);
end;

procedure TMainForm.TimerTimer(Sender: TObject);
Var S : String;
begin
  Timer.Enabled:=False;
  HighlightLine(-1);
  If Background.LoadCode(Memo.Lines,False,MainForm.SetupData.AutoInterruptHandling,True) then begin
    S:='Programm ausfhrbar';
  end else begin
    S:='"'+Background.ErrorCode+'" in Zeile '+IntToStr(Background.ErrorLine);
  end;
  StatusBar.Panels[2].Text:=S;
end;

procedure TMainForm.ClearAllClick(Sender: TObject);
begin
  ClearMemoryForm:=TClearMemoryForm.Create(self);
  try
    If ClearMemoryForm.ShowModal=mrOK then begin
      If ClearMemoryForm.CheckBox1.Checked then System8051.Data.Clear;
      If ClearMemoryForm.CheckBox2.Checked then System8051.SFRArea.Clear;
      If ClearMemoryForm.CheckBox3.Checked then System8051.XRAM.Clear;
      If ClearMemoryForm.CheckBox4.Checked then System8051.Ext.Clear;
    end;
  finally
    ClearMemoryForm.Free;
  end;
end;

procedure TMainForm.Haltepunkte1Click(Sender: TObject);
begin
  BreakpointForm:=TBreakpointForm.Create(self);
  try BreakpointForm.ShowModal; finally BreakpointForm.Free; end;
end;

procedure TMainForm.LEDClick(Sender: TObject);
begin
  LED.Checked:=not LED.Checked;
  ToolBar2.Visible:=LED.Checked;
  If ToolBar2.Visible then ReadData;
end;

procedure TMainForm.SetLEDs;
Var I,X : Integer;
begin
  If not ToolBar2.Visible then exit;

  I:=System8051.SFRArea[RegP1];
  For X:=0 to 7 do If I and (1 shl X) <> 0
    then ToolBar2.Buttons[X].ImageIndex:=1
    else ToolBar2.Buttons[X].ImageIndex:=0;

  I:=System8051.SFRArea[RegP3];
  For X:=0 to 3 do If I and (1 shl (X+2)) <> 0
    then ToolBar2.Buttons[X+9].ImageIndex:=3
    else ToolBar2.Buttons[X+9].ImageIndex:=2;
end;

procedure TMainForm.IRQRequest(Sender: TObject);
begin
  System8051.ALU.Reg.RequestIRQ((Sender as TMenuItem).Tag);
end;

procedure TMainForm.LEDButtonClick(Sender: TObject);
begin
  If TToolButton(Sender).ImageIndex=0
    then System8051.SFRArea.WritePinOnly(RegP1,System8051.SFRArea[RegP1] or (1 shl TToolButton(Sender).Tag))
    else System8051.SFRArea.WritePinOnly(RegP1,System8051.SFRArea[RegP1] xor (1 shl TToolButton(Sender).Tag));
  ReadData;
end;

procedure TMainForm.ToolBar2ContextPopup(Sender: TObject; MousePos: TPoint; var Handled: Boolean);
begin
  Handled:=True; MousePos:=ClientToScreen(MousePos);
  LEDPopup.Popup(MousePos.X,MousePos.Y);
end;

procedure TMainForm.LEDContext(Sender: TObject);
begin
  Case (Sender as TMenuItem).Tag of
    0 : System8051.SFRArea.WritePinOnly(RegP1,$FF);
    1 : System8051.SFRArea.WritePinOnly(RegP1,0);
    2 : System8051.SFRArea.WritePinOnly(RegP1,System8051.SFRArea[RegP1] xor $FF);
  end;
  ReadData;
end;

procedure TMainForm.Port3ButtonClick(Sender: TObject);
begin
  Case (Sender as TToolButton).Tag of
    0,1 : If TToolButton(Sender).ImageIndex=0
            then System8051.SFRArea[RegP3]:=System8051.SFRArea[RegP3] or (1 shl (TToolButton(Sender).Tag+2))
            else System8051.SFRArea[RegP3]:=System8051.SFRArea[RegP3] xor (1 shl (TToolButton(Sender).Tag+2));
    2 : System8051.ALU.T0Click:=True;
    3 : System8051.ALU.T1Click:=True;
  end;
  ReadData;
end;

procedure TMainForm.InsertBaustein(Sender: TObject);
Var S : String;
begin
  Case (Sender as TMenuItem).Tag of
    0 : S:='  ; XRAM einschalten'+#10+#13+
           '  mov a,0xB1'+#10+#13+
           '  orl a,#0x01'+#10+#13+
           '  mov 0xB1,a'+#10+#13;
    1 : S:='  ; XRAM ausschalten'+#10+#13+
           '  mov a,0xB1'+#10+#13+
           '  anl a,#0xFE'+#10+#13+
           '  mov 0xB1,a'+#10+#13;
    2 : S:='  ; RMAP einschalten'+#10+#13+
           '  mov a,SYSCON'+#10+#13+
           '  orl a,#0x10'+#10+#13+
           '  mov SYSCON,a'+#10+#13;
    3 : S:='  ; RMAP ausschalten'+#10+#13+
           '  mov a,SYSCON'+#10+#13+
           '  anl a,#0xEF'+#10+#13+
           '  mov SYSCON,a'+#10+#13;
    4 : S:='  mov IEN0,#0x9F'+#10+#13+
           '  mov IEN1,#0xFF'+#10+#13;
  end;
  Clipboard.AsText:=S;
  Memo.PasteFromClipboard;
end;

procedure TMainForm.SeriellOutput(Sender: TObject; Value: Byte);
begin
  If Assigned(SeriellForm) then SeriellForm.AddChar(Char(Value));
  If Assigned(RunForm) then RunForm.AddChar(Char(Value));
end;

procedure TMainForm.Analogwerteeinstellen1Click(Sender: TObject);
begin
  AnalogForm:=TAnalogForm.Create(self);
  try AnalogForm.ShowModal; finally AnalogForm.Free; end;
end;

end.
